<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.business.mapper.ContractTreeDrawingsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="contractTreeDrawingsResultMap" type="org.springblade.business.entity.ContractTreeDrawings">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="process_id" property="processId"/>
        <result column="file_url" property="fileUrl"/>
    </resultMap>

    <select id="queryCurrentNodeDrawings" resultMap="contractTreeDrawingsResultMap">
        select id, file_url from u_contract_tree_drawings where is_deleted = 0 and process_id = #{primaryKeyId}
    </select>

    <select id="selectContractTreeDrawingsPage" resultMap="contractTreeDrawingsResultMap">
        select * from u_contract_tree_drawings where is_deleted = 0
    </select>

</mapper>
